#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import config
import time
import sys

time_int = int(time.strftime("%Y%m%d%H%M%S")[2:])
final_path = 'final/{}.absinth'.format(hex(time_int)[2:])
results = open(final_path, 'w')

if '-t' in sys.argv:
    data_path = config.test
else:
    data_path = config.dataset

with open(data_path+'results.txt', 'r') as f:
    
    results.write('subTopicID\tresultID\n')
    lines = f.readlines()
    
    for line in lines[1:]:
        
        result_id = line.split()[0]
        results.write(result_id+'\t'+result_id+'\n')
        
results.close()
